## NAME

CURLOPT_UNRESTRICTED_AUTH - send credentials to other hosts too

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_UNRESTRICTED_AUTH,
                              long goahead);

## DESCRIPTION

A long parameter set to 1 tells libcurl it can continue to send authentication (user+password) credentials when following locations, even when hostname changed. This option is meaningful only when setting CURLOPT_FOLLOWLOCATION.

## DEFAULT

0

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Along with HTTP

## RETURN VALUE

Returns CURLE_OK if HTTP is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_FOLLOWLOCATION, CURLOPT_USERPWD

This HTML page was made with roffit.